Retrieve and filter API call and event logs

Access a detailed log of all API calls and system events performed on your account. Use this to troubleshoot issues, review security activity, or track specific actions taken within your account.

Account & Access Account

Context

Used in the dashboard

/audit-log

Query Parameters

end_date string required · Example: 2026-02-10T00:00:00.000Z
hide_get string required · Example: true
include_stats string required · Example: true

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.hasMore boolean required · Example: true
data.limit integer required · Example: 50
data.logs array<object> required · Example: [{"id":"0c4f0c1a-e030-4d6b-b127-36604bbbc30b","timestamp":"2026-02-10T00:00:00.000Z","m...
data.logs[].auth_method string required · Example: session
data.logs[].client_id string required · Example: 30000
data.logs[].duration_ms integer required · Example: 209
data.logs[].endpoint string · Example: /api/billing/transactions
data.logs[].error_message string · nullable · Example: VM is not running

Nullable: may be null when not applicable.

data.logs[].id string · Example: 0c4f0c1a-e030-4d6b-b127-36604bbbc30b
data.logs[].ip_address string · Example: 192.0.0.1
data.logs[].method string · enum · Example: POST
DELETE
POST
PUT
data.logs[].path string · Example: /api/billing/transactions
data.logs[].resources_accessed array<string> · nullable · Example: ["client:3259:transactions"]

Nullable: may be null when not applicable.

data.logs[].severity string · enum · Example: info
error
info
data.logs[].status_code integer · Example: 200
data.logs[].success boolean · Example: true

True for successful responses.

data.logs[].tags array<string> · nullable · Example: ["transactions_viewed"]

Nullable: may be null when not applicable.

data.logs[].timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

data.logs[].user_agent string · Example: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome...
data.page integer · Example: 0
data.stats object
data.stats.apiCalls integer required · Example: 3112
data.stats.avgResponseTime integer required · Example: 175
data.stats.failedLogins integer required · Example: 0
data.stats.loginCount integer · Example: 0
data.stats.recentActivity array<object> · Example: [{"date":"2026-02-10T00:00:00.000Z","count":53},{"date":"2026-02-10T00:00:00.000Z","cou...
data.stats.recentActivity[].count integer required · Example: 53
data.stats.recentActivity[].date string required · Example: 2026-02-10T00:00:00.000Z
data.stats.securityEvents integer · Example: 0
data.stats.topEndpoints array<object> · Example: [{"endpoint":"/api/events","count":838},{"endpoint":"/api/version","count":249},{"endpo...
data.stats.topEndpoints[].count integer required · Example: 838
data.stats.topEndpoints[].endpoint string required · Example: /api/events
data.stats.totalEvents integer · Example: 3112
data.total integer · Example: 126
meta object required
meta.headers object required
meta.headers.X-Cache string required · Example: MISS
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

401
code string required · Example: UNAUTHORIZED

Machine-readable error code.

error string required · Example: Unauthorized

HTTP status title (e.g. 'Bad Request').

message string required · Example: Authentication required

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/audit-log
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/audit-log?end_date=2026-02-10T00%3A00%3A00.000Z&hide_get=true&include_stats=true" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "logs": [
      {
        "id": "0c4f0c1a-e030-4d6b-b127-36604bbbc30b",
        "timestamp": "2026-02-10T00:00:00.000Z",
        "method": "POST",
        "endpoint": "/api/billing/transactions",
        "path": "/api/billing/transactions",
        "client_id": "30000",
        "ip_address": "192.0.0.1",
        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36",
        "status_code": 200,
        "success": true,
        "duration_ms": 209,
        "error_message": null,
        "auth_method": "session",
        "resources_accessed": [
          "client:3259:transactions"
        ],
        "severity": "info",
        "tags": [
          "transactions_viewed"
        ]
      },
      {
        "id": "3c4670b7-4a66-4ecc-871a-7db367865cba",
        "timestamp": "2026-02-10T00:00:00.000Z",
        "method": "POST",
        "endpoint": "/api/billing/invoices",
        "path": "/api/billing/invoices",
        "client_id": "30000",
        "ip_address": "192.0.0.1",
        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36",
        "status_code": 200,
        "success": true,
        "duration_ms": 209,
        "error_message": null,
        "auth_method": "session",
        "resources_accessed": [
          "client:3259:invoices"
        ],
        "severity": "info",
        "tags": [
          "invoice_viewed"
        ]
      },
      {
        "id": "31b60ab8-014a-4908-b695-f6e84d3b2457",
        "timestamp": "2026-02-10T00:00:00.000Z",
        "method": "POST",
        "endpoint": "/api/billing/invoices",
        "path": "/api/billing/invoices",
        "client_id": "30000",
        "ip_address": "192.0.0.1",
        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36",
        "status_code": 200,
        "success": true,
        "duration_ms": 243,
        "error_message": null,
        "auth_method": "session",
        "resources_accessed": [
          "client:3259:invoices"
        ],
        "severity": "info",
        "tags": [
          "invoice_viewed"
        ]
      }
    ],
    "total": 126,
    "stats": {
      "totalEvents": 3112,
      "loginCount": 0,
      "failedLogins": 0,
      "apiCalls": 3112,
      "securityEvents": 0,
      "avgResponseTime": 175,
      "topEndpoints": [
        {
          "endpoint": "/api/events",
          "count": 838
        },
        {
          "endpoint": "/api/version",
          "count": 249
        },
        {
          "endpoint": "internal endpoint",
          "count": 151
        }
      ],
      "recentActivity": [
        {
          "date": "2026-02-10T00:00:00.000Z",
          "count": 53
        },
        {
          "date": "2026-02-10T00:00:00.000Z",
          "count": 151
        }
      ]
    },
    "page": 0,
    "limit": 50,
    "hasMore": true
  },
  "meta": {
    "headers": {
      "X-Cache": "MISS"
    }
  }
}